Name:           dolphin-connector
Version:        1.2
Release:        11%{?dist}
Summary:        Simple MySQL C API wrapper for C++

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/poetinha/dolphin-connector
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone https://github.com/poetinha/dolphin-connector.git
#  cd dolphin-connector
#  git archive --format=tar --prefix=dolphin-connector-1.2/ v1.2 | gzip >dolphin-connector-1.2.tar.gz
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  libtool mysql-devel boost-devel

%description
Dolphin Connector is a simple MySQL C API wrapper for C++.

It is originally designed to be as efficient as is possible,
and makes no use of exceptions.

%package devel
Summary: Development files for Dolphin Connector
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mysql-devel
Requires: boost-devel

%description devel
Dolphin Connector development package.

%prep
%setup -q

%build
./autogen.sh

%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# cleanup
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -f sample/Makefile*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
%{_libdir}/libdolphinconn.so.*

%files devel
%defattr(-,root,root,-)
%doc sample
%{_includedir}/dolphinconn
%{_libdir}/libdolphinconn.so

%changelog
* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 1.2-11
- Rebuild for boost 1.57.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.2-8
- Rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.2-6
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.2-5
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.2-4
- Rebuild for Boost-1.53.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 19 2011 William Lima <wlima@primate.com.br> - 1.2-1
- update to 1.2
- update spec to match current guidelines

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 1.1-3
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 William Lima <wlima@primate.com.br> - 1.1-1
- update to 1.1

* Thu Jan 20 2011 William Lima <wlima@primate.com.br> - 1.0-4
- fixed build requires

* Thu Jan 20 2011 William Lima <wlima@primate.com.br> - 1.0-3
- dropped autoconf build requires

* Thu Jan 20 2011 William Lima <wlima@primate.com.br> - 1.0-2
- added build requires for automake and autoconf

* Tue Jan 11 2011 William Lima <wlima@primate.com.br> - 1.0-1
- Initial package
